/*  $Id: Dialog.h,v 1.3 1997/04/04 08:22:25 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_DIALOG_H
#define _PCE_DIALOG_H

PceExternalClass(ClassDialog);
class PceDialog :public PceObject
{
public:
  PceDialog() :
    PceObject(ClassDialog)
  {
  }
  PceDialog(PceArg label) :
    PceObject(ClassDialog, label)
  {
  }
  PceDialog(PceArg label, PceArg size) :
    PceObject(ClassDialog, label, size)
  {
  }
  PceDialog(PceArg label, PceArg size, PceArg display) :
    PceObject(ClassDialog, label, size, display)
  {
  }
};

inline PceDialog
AsDialog(PceArg a)
{ return *((PceDialog*) &a);
}

#endif /*!_PCE_DIALOG_H*/
